%global pkgname martian
Name: python-martian
Version: 0.14
Release: 6%{?dist}
Summary: A library to grok configuration from Python code
Group: Development/Libraries
License: ZPLv2.1
URL: https://pypi.python.org/pypi/martian
Source0: https://pypi.python.org/packages/source/m/%{pkgname}/%{pkgname}-%{version}.tar.gz 
BuildArch: noarch 
BuildRequires: python2-devel
BuildRequires: python-zope-interface
BuildRequires: python-setuptools
Requires: python-zope-interface

%description
A library that allows the embedding of configuration information in
Python code. Martian can then grok the system and do the appropriate
configuration registrations. One example of a system that uses Martian
is the system where it originated: Grok

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
# This test fails:
# Traceback (most recent call last):
#  File "test_all.py", line 3, in <module>
#    from martian.testing import FakeModule
#ImportError: No module named martian.testing

%files
%doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt README.txt PKG-INFO
%{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}-*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 0.14-1
- Initial package
